### Method

# Gtk TreeStore reorder

#### Declaration [src]

    void
    gtk_tree_store_reorder (
      GtkTreeStore* tree_store,
      GtkTreeIter* parent,
      int* new_order
    )

#### Description [src]

Reorders the children of `parent` in `tree_store` to follow the order indicated by `new_order`. Note that this function only works with unsorted stores.

#### Parameters

`parent` | `GtkTreeIter`
| A `GtkTreeIter`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`new_order` | An array of `int`
| An array of integers mapping the new position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`.
| The data is owned by the caller of the function.